.main
{
    margin: 100px auto 0px auto;
}
.h1_0
{
    display: grid;
    width: fit-content;
    font-size: 60px;
    font-weight: 600;
    margin: 0 auto;
}
.services_block
{
    display: block;
    background-color:rgb(113 62 195);
    background-size: contain;
}
.services_title
{
    padding: 100px 0px 70px 0px;
    color: white;
}
.services_content
{
    display: flex;
    padding-bottom: 100px;
}
.services_list
{
    display: flex;
    flex-wrap: wrap;
    margin: 0px auto;
    width: 50%;
    padding: 0px 100px;
}
.service_block
{
    position: relative;
    top: 0px;
    left: 0px;
    margin: 20px;
    width: 300px;
    height: 300px;
    background-color: white;
    text-decoration: none;
}
.service_block:hover
{
    top: -10px;
    left: -10px;
    cursor: pointer;
    background-color: rgb(235, 235, 235);
    box-shadow: 10px 10px 0px rgb(0, 0, 0);
    transition: 0.3s;
}
.service_block_media
{
    width: 100%;
    height: 210px;
    align-content: center;
}
.service_block_media_image
{
    width: 50%;
    height: 50%;
    margin: auto;
    background-size: cover;
    background-position: center;
    transition: background-image 0.0s ease-in-out;
    cursor: pointer;
}
.service_block_media_image_hover
{
    width: 70%;
    height: 70%;
    margin: auto;
    background-size: cover;
    background-position: center;
    transition: background-image 0.0s ease-in-out;
    cursor: pointer;
}
.service_block_media_video
{
    width: 100%;
}
.service_block_media_animation
{
    align-content: center;
}
.service_block_media_animation_field
{
    width: 140px;
    height: 140px;
    margin: 0 auto;
}
.web_square_1,
.web_square_2,
.web_square_3,
.web_square_4
{
    position: relative;
    width: 45px;
    height: 45px;
    margin: 10px;
    border-radius: 15px;
    border: 2.5px solid blue;
    background-color: blue;
}
.web_square_2
{
    top: -60px;
    left: 70px;
}
.web_square_3
{
    top: -50px;
}
.web_square_4
{
    top: -110px;
    left: 70px;
}
.service_block_title
{
    margin: 10px auto;
    width: fit-content;
    text-align: center;
}
.service_block_title_link
{
    color: rgb(0, 0, 0);
    font-size: 25px;
    font-weight: 500;
    text-decoration: none;
    outline: none;
}
.service_block_description
{
    margin: 0px auto;
    width: fit-content;
}
.services_banner
{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 800px;
    height: 640px;
    padding: 0px 100px;
}
.services_banner_image
{
    height: 60%;
}
.portfolio_block
{
    display: block;
    width: fit-content;
}
.portfolio_title
{
    padding: 100px;
}
.portfolio_content
{
    display: block;
    padding-bottom: 100px;
}
.project_block
{
    display: flex;
    justify-content: space-between;
    width: 90%;
    margin: 0 auto;
}
.project_block_text
{
    width: 40%;
    margin-top: 5px;
    align-items: center;
}
.project_block_title
{
    margin: 0px auto;
    width: fit-content;
    font-size: 30px;
    font-weight: 500;
}
.project_block_description
{
    margin-top: 20px;
    width: fit-content;
    font-size: 25px;
    font-weight: 400;
}
.project_block_media
{
    width: 60%;
    display: block;
}
.project_block_media_mobile
{
    width: 60%;
    display: none;
}
.project_block_media_image
{
    width: 100%;
}
.project_block_media_mobile_image
{
    width: 100%;
}
.team_block
{
    display: block;
    background-color: rgb(40, 5, 89);
    color: white;
}
.team_title
{
    padding: 100px;
}
.team_title_block
{
    margin: 0px auto;
    width: fit-content;
    
}
.persons_block
{
    display: flex;
    margin: 0 auto;
    width: fit-content;
    padding-bottom: 100px;
}
.person_block
{
    margin: 40px;
}
.person_block_title
{
    margin: 10px auto;
    width: fit-content;  
    font-size: 25px;
    font-weight: 500;
}
.person_block_description
{
    margin: 0px auto;
    width: fit-content;
    font-size: 20px;
}
.person_block_media
{
    
}
.person_block_media_image
{
    width: 100%;
    height: 100%;
}

@media screen and (max-width: 768px) 
{
    

    .h1_0
    {
        font-size: 50px;
        width: 90%;
    }

    .services_content
    {
        display: block;
    }
    .services_list
    {
        display: block;
    }

    .project_block
    {
        display: block;
    }

    .persons_block
    {
        display: block;
    }

    footer
    {
        display: block;
    }

    .services_title
    {
        padding: 50px 0px 50px 0px;
    }
    .services_content
    {
        padding-bottom: 0;
    }

    .services_list
    {
        display: flex;
        flex-wrap: wrap;
        width: 90%;
        padding: 0;
    }
    .service_block
    {   
        display: block;
        width: 115px;
        height: 115px;
        top: -10px;
        left: -10px;
        cursor: pointer;
        background-color: rgb(235, 235, 235);
        box-shadow: 10px 10px 0px rgb(0, 0, 0);
    }
    .service_block_media 
    {
        width: 100%;
        height: 65px;
        align-content: center;
    }
    .service_block_media_image 
    {
        width: 65%;
        height: 80%;
        margin: auto;
        background-size: cover;
        background-position: center;
        transition: background-image 0.0s ease-in-out;
        cursor: pointer;
    }
    .service_block_title_link
    {
        font-size: 15px;
    }

    .services_banner 
    {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        height: 350px;
        padding: 0px;
    }

    .portfolio_title
    {
        padding: 50px;
    }
    .portfolio_content 
    {
        padding-bottom: 30px;
    }

    .project_block_text 
    {
        width: 100%;
    }
    .project_block_title
    {
        font-size: 20px;
    }
    .project_block_description
    {
        font-size: 20px;
    }
    .project_block_media 
    {
        width: 100%;
        margin-top: 40px;
        display: none;
    }
    .project_block_media_mobile
    {
        width: 85%;
        margin: 40px auto 0px auto;
        display: block;
    }

    .team_title
    {
        padding: 50px;
        text-align: center;
    }
    .person_block
    {
        margin: 0px;
    }
    .person_block_media
    {
        width: 70vw;
        margin: auto;
    }

    footer
    {
        height: 300px;
        padding: 30px;
    }
    
}